API Reference

OAuth Clients

Register OAuth clients (session only).

4 endpoints· Auth: JWT
get/api/v1/console/developers/oauth-clients JWT

Get oauth-clients

Query parameters

IncludeRevoked
boolean
—
Page
integer (int32)
—
PerPage
integer (int32)
—
Search
string
—
Skip
integer (int32)
—
Sort
string
—
Dir
string
—

Responses

200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/developers/oauth-clients" \
  -H "X-Api-Key: <YOUR_API_KEY>"
Try itagainst staging · https://staging-api.panoptesos.com

Query parameters

Set credentials in the “Authorize” menu
post/api/v1/console/developers/oauth-clients JWT

Create oauth-clients

Request body

application/json
{
  "name": "string",
  "redirectUris": [
    "string"
  ],
  "scopes": [
    "string"
  ]
}
name
string
—
redirectUris
string[]
—
scopes
string[]
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/oauth-clients" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "name": "string",
  "redirectUris": [
    "string"
  ],
  "scopes": [
    "string"
  ]
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/developers/oauth-clients/{id}/revoke JWT

Create revoke

Path parameters

idrequired
string (uuid)
—

Request body

application/json
{
  "reason": "string"
}
reason
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/developers/oauth-clients/{id}/revoke" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "reason": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Path parameters

Request body (JSON)

Set credentials in the “Authorize” menu
post/api/v1/console/oauth/consent JWT

Create consent

Request body

application/json
{
  "clientId": "string",
  "redirectUri": "string",
  "scope": "string",
  "state": "string",
  "codeChallenge": "string",
  "codeChallengeMethod": "string"
}
clientId
string
—
redirectUri
string
—
scope
string
—
state
string
—
codeChallenge
string
—
codeChallengeMethod
string
—

Responses

200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/oauth/consent" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: <YOUR_API_KEY>" \
  -d '{
  "clientId": "string",
  "redirectUri": "string",
  "scope": "string",
  "state": "string",
  "codeChallenge": "string",
  "codeChallengeMethod": "string"
}'
Try itagainst staging · https://staging-api.panoptesos.com

Request body (JSON)

Set credentials in the “Authorize” menu